Should you notice any errors in our documentation, please don’t hesitate to contact us. Thank you!
| Attribute Name | Meaning |
|---|---|
| customer_id | Id of customer of the card order |
| state | Current state of the card order: draft, open, pending, processing, ordered, or completed |
curl --location -g --request GET 'https://www-staging.givve.com//api/card_orders?sort=created_at&skip_meta_totals=&page[number]=1&page[size]=25' \
--header 'Accept-Version: v2' \
--header 'Authorization: Bearer <token>'{
"meta": {
"total_pages": 0,
"current_page": 0,
"page_size": 0,
"total_entries": 0
},
"links": {
"self": "http://example.com",
"first": "http://example.com",
"prev": "http://example.com",
"next": "http://example.com",
"last": "http://example.com"
},
"data": [
{
"id": "string",
"state": "string",
"created_at": {
"informational_timestamp": "2019-08-24T14:15:22.123Z"
},
"updated_at": {
"informational_timestamp": "2019-08-24T14:15:22.123Z"
},
"submitted_at": "2019-08-24T14:15:22.123Z",
"production_started_at": "2019-08-24T14:15:22.123Z",
"delivered_at": "2019-08-24T14:15:22.123Z",
"is_cancellable": true,
"customer": {
"id": "string",
"type": "string",
"property1": "string",
"property2": "string"
},
"description": "string",
"invoice_reference": "string",
"cost_center": "string",
"payment_method": "bank_transfer",
"invoice": {
"id": "string",
"type": "string",
"property1": "string",
"property2": "string"
},
"voucher_category": "benefit_in_kind",
"address": {
"company": "string",
"contact_person": "string",
"city": "string",
"address_line_1": "string",
"address_line_2": "string",
"country_code": "276"
},
"entries": [
{
"id": "string",
"created_at": {
"informational_timestamp": "2019-08-24T14:15:22.123Z"
},
"updated_at": {
"informational_timestamp": "2019-08-24T14:15:22.123Z"
},
"ordered_at": "2019-08-24T14:15:22.123Z",
"voucher": {
"id": "string",
"type": "string",
"token": "string"
},
"renew": true,
"image_id": "string",
"carrier_type": "string",
"emboss_line_1": "string",
"emboss_line_2": "string",
"voucher_owner": {
"identifier": "string",
"title": "stri",
"first_name": "string",
"last_name": "string",
"email": "string",
"adderss_line_1": "string",
"address_line_2": "string",
"zip_code": "string",
"city": "string",
"country_code": "string",
"language_code": "string"
},
"voucher_owner_id": "string",
"voucher_configuration": {
"type": "classic",
"property1": "string",
"property2": "string"
},
"replacement": true,
"transfer_balance": true,
"inherit_constraints": true
}
],
"tracking_data": [
{
"number": "string",
"url": "string"
}
],
"entries_count": 0
}
]
}